GET /note_tags

Returns note tags for a company.

Query parameters

  • company_id string(uuid) Required

    ID of your company or fund

Responses

  • 200 application/json

    Successfully retrieved note tags

    Hide response attribute Show response attribute object
    • note_tags array[object]
      Hide note_tags attributes Show note_tags attributes object
      • id string(uuid) Required

        Unique identifier for the note tag

      • name string Required

        Name of the note tag

      • color string Required

        Color of the note tag

      • company_id string(uuid) Required

        ID of the company associated with the note tag

      • created_at string(date-time) Required

        When the note tag was created

      • updated_at string(date-time) Required

        When the note tag was last updated

  • 400 application/json

    Bad Request - The request is invalid or malformed

    Hide response attribute Show response attribute object
    • errors array[object] Required
      Hide errors attributes Show errors attributes object

      Single error item. Different error types can include different fields.

      • type string

        Machine-readable error type

      • field string

        The related field, if applicable

      • message string

        Human-readable error message

  • 401 application/json

    Unauthorized - Invalid or missing authentication token

    Hide response attribute Show response attribute object
    • errors array[object] Required
      Hide errors attributes Show errors attributes object

      Single error item. Different error types can include different fields.

      • type string

        Machine-readable error type

      • field string

        The related field, if applicable

      • message string

        Human-readable error message

  • 403 application/json

    Forbidden - The authenticated user does not have access to the requested resource

    Hide response attribute Show response attribute object
    • errors array[object] Required
      Hide errors attributes Show errors attributes object

      Single error item. Different error types can include different fields.

      • type string

        Machine-readable error type

      • field string

        The related field, if applicable

      • message string

        Human-readable error message

  • 429 application/json

    Too Many Requests - Rate limit exceeded

    Hide response attribute Show response attribute object
    • errors array[object] Required
      Hide errors attributes Show errors attributes object

      Single error item. Different error types can include different fields.

      • type string

        Machine-readable error type

      • field string

        The related field, if applicable

      • message string

        Human-readable error message

GET /note_tags
curl \
 --request GET 'https://api.visible.vc/note_tags?company_id=string' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "note_tags": [
    {
      "id": "ec5252fe-9abc-4096-85e9-1374e70a3182",
      "name": "Call",
      "color": "blue",
      "company_id": "a661e061-66aa-4fe0-8bc0-40b00212f991",
      "created_at": "2025-02-01T22:08:21.175Z",
      "updated_at": "2025-02-01T22:08:21.175Z"
    },
    {
      "id": "56a1bed4-9ac4-4bd1-8533-077f3ae465c3",
      "name": "Meeting",
      "color": "red",
      "company_id": "a661e061-66aa-4fe0-8bc0-40b00212f991",
      "created_at": "2025-02-01T22:08:21.175Z",
      "updated_at": "2025-02-01T22:08:21.175Z"
    }
  ]
}
Response examples (400)
{
  "errors": [
    {
      "type": "parameter_invalid",
      "field": "filter",
      "message": "must be an object"
    }
  ]
}
Response examples (401)
{
  "errors": [
    {
      "type": "unauthorized"
    }
  ]
}
Response examples (403)
{
  "errors": [
    {
      "type": "forbidden"
    }
  ]
}
Response examples (429)
{
  "errors": [
    {
      "type": "rate_limit_exceeded"
    }
  ]
}